Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.font
Class TransformAttribute

    java.lang.Object
      |
      +--java.awt.font.TransformAttribute

All Implemented Interfaces:
  Serializable

public final class TransformAttribute
extends Object
implements Serializable

The `TransformAttribute` class provides an immutable wrapper for a transform so that it is safe to use as an attribute.

See Also:
  Serialized Form

Constructor Summary
`TransformAttribute(AffineTransform transform)` Wraps the specified transform.

Method Summary
`AffineTransform` | `getTransform()` Returns a copy of the wrapped transform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformAttribute

    public TransformAttribute(AffineTransform transform)

  Wraps the specified transform. The transform is cloned and a reference to the clone is kept. The original transform is unchanged.
  Parameters:
    `transform` - the specified `AffineTransform` to be wrapped

Method Detail

### getTransform

    public AffineTransform getTransform()

  Returns a copy of the wrapped transform.
  Returns:
    a `AffineTransform` that is a copy of the wrapped transform of this `TransformAttribute`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.